package com.tofly.xrtygis.custom.service;

import java.util.Map;

/**
 * @author 20126
 */
public interface WaterMakingAnalysisService {

    /**
     * 获取产销差
     *
     * @return map
     */
    Map<String, Object> getNrw(String years);

    /**
     * 查看更多产销差信息
     *
     * @param year 年份
     * @param code 0，按月查看   1，季度查看  2 近三年查看
     * @return map
     */
    Map<String, Object> nrwMore(String year, Integer code);

    /**
     * 获取漏损率
     *
     * @return map
     */
    Map<String, Object> getLeakage(String years);

    /**
     * 查看更多漏损率信息
     *
     * @param year 年份
     * @param code 0，按月查看   1，季度查看  2 近三年查看
     * @return map
     */
    Map<String, Object> leakageMore(String year, Integer code);

    /**
     * 获取供水量和售水量
     *
     * @return map
     */
    Map<String, Object> getSupSellWater(String years);

    /**
     * 查看供水量和售水量更多信息
     *
     * @param year 年份
     * @param code 0，按月查看   1，季度查看  2 近三年查看
     * @return map
     */
    Map<String, Object> supSellWaterMore(String year, Integer code);

}
